package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrUrlConfigTest;
    import com.docus.server.dto.segmentation.ocrurlconfigtest.AddOcrUrlConfigTestDTO;
    import com.docus.server.dto.segmentation.ocrurlconfigtest.EditOcrUrlConfigTestDTO;
    import com.docus.server.dto.segmentation.ocrurlconfigtest.DeleteOcrUrlConfigTestDTO;
import com.docus.server.vo.segmentation.ocrurlconfigtest.OcrUrlConfigTestVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* ocr路径配置表-调试 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrUrlConfigTestConvert {

    OcrUrlConfigTestConvert INSTANCE = Mappers.getMapper(OcrUrlConfigTestConvert.class);

    @Mappings({})
    OcrUrlConfigTest convertDO(AddOcrUrlConfigTestDTO addOcrUrlConfigTestDTO);

    @Mappings({})
    OcrUrlConfigTest convertDO(EditOcrUrlConfigTestDTO editOcrUrlConfigTestDTO);

    @Mappings({})
    List<OcrUrlConfigTest> convertAddDOList(List<AddOcrUrlConfigTestDTO> addOcrUrlConfigTestDTO);

    @Mappings({})
    List<OcrUrlConfigTest> convertEditDOList(List<EditOcrUrlConfigTestDTO> editOcrUrlConfigTestDTO);

    @Mappings({})
    OcrUrlConfigTestVO convertVO(OcrUrlConfigTest ocrUrlConfigTest);

    @Mappings({})
    List<OcrUrlConfigTestVO> convertVO(List<OcrUrlConfigTest> ocrUrlConfigTestList);

    @Mappings({})
    PageResult<OcrUrlConfigTestVO> convertVO(PageResult<OcrUrlConfigTest> pageResult);
}

